somebar(1)

NAME
somebar - dwm-like bar for dwl

SYNOPSIS
somebar [-h] [-v] [-s path] [-c command arguments... ]

DESCRIPTION
somebar is a status bar for dwl, visually and functionally resembling the dwm bar.

USAGE
You must start somebar using dwl's `-s` flag, e.g. `dwl -s somebar`. Somebar can be controlled by writing to $XDG_RUNTIME_DIR/somebar-0, or the path defined by the `-s` argument. The following commands are supported:

status TEXT
    Updates the status bar

hide MONITOR
    Hides somebar on the specified monitor

show MONITOR
    Shows somebar on the specified monitor

toggle MONITOR
    Toggles somebar on the specified monitor

MONITOR is an zxdg_output_v1 name, which can be determined e.g. using `weston-info`. Additionally, MONITOR can be `all` (all monitors) or `selected` (the monitor with focus). Commands can be sent either by writing to the file name above, or equivalently by calling somebar with the `-c` argument. For example: `somebar -c toggle all`. This is recommended for shell scripts, as there is no race-free way to write to a file only if it exists.

OPTIONS

-h  Displays a short help text and exits

-v  Displays version information and exits

-s  Sets the path to the somebar control FIFO. The default value is $XDG_RUNTIME_DIR/somebar-0

-c  Sends a command to the control FIFO. See the USAGE section.

BUGS
Send bug reports to ~raphi/public-inbox@lists.sr.ht